.fullbanner {
  position: relative;

  > .swiper iframe {
    pointer-events: none;
  }

  // config text
  > .swiper .text {
    position: absolute;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 90%;
    max-width: 38.2rem;
    padding: 3.2rem 2.4rem;
    color: var(--fb-color, var(--primary-color));
    text-align: left;
    border-radius: 0.8rem;
    overflow: hidden;

    &::before {
      content: "";
      position: absolute;
      top: 0;
      left: 0;
      width: 100%;
      height: 100%;
      background-color: rgba(255, 255, 255, 0.4);
      backdrop-filter: blur(4px);
    }

    &.-no-text {
      overflow: visible;
      border-radius: 0;
      padding: 0;
      max-width: max-content;
    }

    &.-no-text::before {
      content: unset;
    }

    &.-no-text .button-default {
      margin-top: 0;
    }

    @include media("md") {
      padding: 4rem;
      max-width: 52.8rem;
    }

    &.left-center,
    &.left-top,
    &.left-bottom {
      left: 5%;

      &.text {
        align-items: flex-start;
      }
    }

    &.right-center,
    &.right-top,
    &.right-bottom {
      right: 5%;

      &.text {
        align-items: flex-start;
      }
    }

    &.center-top,
    &.center-bottom {
      left: 50%;
      text-align: center;
      transform: translateX(-50%);
    }

    &.right-top,
    &.left-top,
    &.center-top {
      top: 7%;

      @include media("md") {
        top: 6%;
      }
    }

    &.right-bottom,
    &.left-bottom,
    &.center-bottom {
      bottom: 7%;

      @include media("md") {
        bottom: 6%;
      }
    }

    &.right-center,
    &.left-center {
      top: 50%;
      transform: translateY(-50%);
    }

    &.center-center {
      left: 50%;
      text-align: center;
      transform: translate(-50%, -50%);
      top: 50%;
    }
  }

  > .swiper .upper-title,
  > .swiper .description,
  > .swiper .title {
    position: relative;
  }

  > .swiper .title {
    font-size: 1.8rem;
    color: inherit;

    @include media("md") {
      font-size: var(--font-size-title);
    }

    &:last-child {
      margin-bottom: 0;
    }
  }

  > .swiper h3,
  > .swiper h4 {
    font-size: 1.6rem;

    @include media("md") {
      font-size: 2rem;
    }

    &:not(:last-child) {
      margin-bottom: 1.4rem;
    }
  }

  > .swiper .description {
    margin-bottom: 0;

    &:not(:last-of-type) {
      margin-bottom: 1.2rem;
    }
  }

  > .swiper .button-default {
    position: relative;
    margin-top: 1.6rem;

    @include media("md") {
      margin-top: 2.4rem;
    }
  }

  // Swiper - botões
  > .swiper .swiper-button-next {
    right: 0;
    border-top-right-radius: 0;
    border-bottom-right-radius: 0;
  }

  > .swiper .swiper-button-prev {
    left: 0;
    border-top-left-radius: 0;
    border-bottom-left-radius: 0;
  }

  > .swiper button[class^="swiper-button-"]:not(.swiper-button-lock) {
    display: none;

    @include media("md") {
      display: flex;
    }
  }

  > .swiper .swiper-pagination {
    position: absolute !important;
    bottom: 1.4rem !important;
    left: 50% !important;
    transform: translateX(-50%) !important;
    max-width: 90%;
    width: fit-content !important;
  }

  > .swiper .swiper-pagination-bullet {
    background-color: var(--white) !important;
    opacity: 0.6 !important;
  }

  > .swiper .swiper-pagination-bullet-active {
    background-color: var(--white) !important;
    opacity: 1 !important;
  }
}
